      SUBROUTINE script (OAP,M,N,MD,ND)
      IMPLICIT REAL*8(A-H,O-Z)
      DIMENSION OAP(MD,ND)
      nnn=10
      NN=N/nnn
      IF(NN.EQ.0) GOTO 85
      DO 83 KK=1,NN
      N1=nnn*(KK-1)+1
      N2=nnn*KK
      IF(N2.LT.N1) RETURN
      WRITE(6,1023)
      WRITE(6,1024) (I,I=N1,N2)
      WRITE(6,1022)
      DO 83 JJ=1,M
83    WRITE(6,1025) JJ,(OAP(JJ,II),II=N1,N2)
      WRITE(6,1022)
85    N1=nnn*NN+1
      N2=N
      IF(N2.LT.N1) RETURN
      WRITE(6,1023)
      WRITE(6,1024) (I,I=N1,N2)
      WRITE(6,1022)
      DO 84 JJ=1,M
84    WRITE(6,1025) JJ,(OAP(JJ,II),II=N1,N2)
      WRITE(6,1022)
1022  FORMAT(/)
1023  FORMAT(/)
1024  FORMAT(/,1X,10(6X,I2))
1025  FORMAT(3X,I2,10F8.4)
      RETURN
      END
       subroutine scrida(mess,b,n,ifil,ienr)
      IMPLICIT REAL*8(A-H,O-Z)
      dimension b(*)
      character*1 mess(80)
      call lire(b,ienr,n,ifil)
      call scrida1(mess,b,n)
      return
      end
       subroutine scrida1(mess,b,n)
      IMPLICIT REAL*8(A-H,O-Z)
      dimension b(*)
      character*1 mess(80)
      do k=1,80
         if(mess(k).eq.'$') then
            ifin=k
            goto 1
         endif
      enddo
      write(6,*)'mauvais message dans scrida'
      return
 1    continue
      write(6,*)(mess(k),k=1,ifin-1)
      ifin=0
      do k=1,n,5
         ideb=ifin+1
         ifin=min0(n,ideb+4)
         write(6,1000)k,(b(kk),kk=ideb,ifin)
      enddo
 1000 format(i7,5(f10.6))
      return
      end
       SUBROUTINE scripi (mat,M,N,MD,ND)
      IMPLICIT REAL*8(A-H,O-Z)
      DIMENSION mat(MD,ND)
      nnn=10
      NN=N/nnn
      IF(NN.EQ.0) GOTO 85
      DO 83 KK=1,NN
      N1=nnn*(KK-1)+1
      N2=nnn*KK
      IF(N2.LT.N1) RETURN
c      WRITE(6,1023)
      WRITE(6,1024) (I,I=N1,N2)
c      WRITE(6,1022)
      DO 83 JJ=1,M
83    WRITE(6,1025) JJ,(mat(JJ,II),II=N1,N2)
c      WRITE(6,1022)
85    N1=nnn*NN+1
      N2=N
      IF(N2.LT.N1) RETURN
c      WRITE(6,1023)
      WRITE(6,1024) (I,I=N1,N2)
c      WRITE(6,1022)
      DO 84 JJ=1,M
84    WRITE(6,1025) JJ,(mat(JJ,II),II=N1,N2)
c      WRITE(6,1022)
c1022  FORMAT(/)
c1023  FORMAT(/)
1024  FORMAT(4X,10(6X,I2))
1025  FORMAT(3X,I2,10i8)
      RETURN
      END
